# rtsp sdp

Last reviewed on 2013-07-11 (1.0.0)

## GstSDPInfo

### Members

`is_ipv6` (gboolean) –
No description available
`server_ip` (const gchar *) –
No description available

## GstRtspServer.SDPInfo

### Members

`is_ipv6` (Number) –
No description available
`server_ip` (String) –
No description available

## GstRtspServer.SDPInfo

### Members

`is_ipv6` (bool) –
No description available
`server_ip` (str) –
No description available

## Functions

### gst_rtsp_sdp_from_media

    gboolean
    gst_rtsp_sdp_from_media (GstSDPMessage * sdp,
                             GstSDPInfo * info,
                             GstRTSPMedia * media)

Add media specific info to sdp. info is used to configure the connection information in the SDP.

Parameters:

`sdp` –

a GstSDPMessage

`info` ( [transfer: none]) –

a GstSDPInfo

`media` ( [transfer: none]) –

a GstRTSPMedia

Returns –

TRUE on success.

### GstRtspServer.prototype.rtsp_sdp_from_media

    function GstRtspServer.prototype.rtsp_sdp_from_media(sdp: GstSdp.SDPMessage, info: GstRtspServer.SDPInfo, media: GstRtspServer.RTSPMedia): {
        // javascript wrapper for 'gst_rtsp_sdp_from_media'
    }

Add media specific info to sdp. info is used to configure the connection information in the SDP.

Parameters:

`sdp` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`info` (GstRtspServer.SDPInfo) –

a GstRtspServer.SDPInfo

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

TRUE on success.

### GstRtspServer.rtsp_sdp_from_media

    def GstRtspServer.rtsp_sdp_from_media (sdp, info, media):
        #python wrapper for 'gst_rtsp_sdp_from_media'

Add media specific info to sdp. info is used to configure the connection information in the SDP.

Parameters:

`sdp` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`info` (GstRtspServer.SDPInfo) –

a GstRtspServer.SDPInfo

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (bool) –

TRUE on success.

### gst_rtsp_sdp_from_stream

    gboolean
    gst_rtsp_sdp_from_stream (GstSDPMessage * sdp,
                              GstSDPInfo * info,
                              GstRTSPStream * stream)

Add info from stream to sdp.

Parameters:

`sdp` –

a GstSDPMessage

`info` ( [transfer: none]) –

a GstSDPInfo

`stream` ( [transfer: none]) –

a GstRTSPStream

Returns –

TRUE on success.

### GstRtspServer.prototype.rtsp_sdp_from_stream

    function GstRtspServer.prototype.rtsp_sdp_from_stream(sdp: GstSdp.SDPMessage, info: GstRtspServer.SDPInfo, stream: GstRtspServer.RTSPStream): {
        // javascript wrapper for 'gst_rtsp_sdp_from_stream'
    }

Add info from stream to sdp.

Parameters:

`sdp` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`info` (GstRtspServer.SDPInfo) –

a GstRtspServer.SDPInfo

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (Number) –

TRUE on success.

### GstRtspServer.rtsp_sdp_from_stream

    def GstRtspServer.rtsp_sdp_from_stream (sdp, info, stream):
        #python wrapper for 'gst_rtsp_sdp_from_stream'

Add info from stream to sdp.

Parameters:

`sdp` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`info` (GstRtspServer.SDPInfo) –

a GstRtspServer.SDPInfo

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

Returns (bool) –

TRUE on success.

### gst_rtsp_sdp_make_media

    gboolean
    gst_rtsp_sdp_make_media (GstSDPMessage * sdp,
                             GstSDPInfo * info,
                             GstRTSPStream * stream,
                             GstCaps * caps,
                             GstRTSPProfile profile)

Creates a GstSDPMedia from the parameters and stores it in sdp.

Parameters:

`sdp` –

a GstRTSPMessage

`info` –

a GstSDPInfo

`stream` –

a GstRTSPStream

`caps` –

a GstCaps

`profile` –

a GstRTSPProfile

Returns –

TRUE on success

Since : 1.14

### GstRtspServer.prototype.rtsp_sdp_make_media

    function GstRtspServer.prototype.rtsp_sdp_make_media(sdp: GstSdp.SDPMessage, info: GstRtspServer.SDPInfo, stream: GstRtspServer.RTSPStream, caps: Gst.Caps, profile: GstRtsp.RTSPProfile): {
        // javascript wrapper for 'gst_rtsp_sdp_make_media'
    }

Creates a GstSdp.SDPMedia from the parameters and stores it in sdp.

Parameters:

`sdp` (GstSdp.SDPMessage) –

a GstRtsp.RTSPMessage

`info` (GstRtspServer.SDPInfo) –

a GstRtspServer.SDPInfo

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`caps` (Gst.Caps) –

a Gst.Caps

`profile` (GstRtsp.RTSPProfile) –

a GstRtsp.RTSPProfile

Returns (Number) –

true on success

Since : 1.14

### GstRtspServer.rtsp_sdp_make_media

    def GstRtspServer.rtsp_sdp_make_media (sdp, info, stream, caps, profile):
        #python wrapper for 'gst_rtsp_sdp_make_media'

Creates a GstSdp.SDPMedia from the parameters and stores it in sdp.

Parameters:

`sdp` (GstSdp.SDPMessage) –

a GstRtsp.RTSPMessage

`info` (GstRtspServer.SDPInfo) –

a GstRtspServer.SDPInfo

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`caps` (Gst.Caps) –

a Gst.Caps

`profile` (GstRtsp.RTSPProfile) –

a GstRtsp.RTSPProfile

Returns (bool) –

True on success

Since : 1.14

The results of the search are